<?php

namespace App\Modules\LeadBookingTourPassenger\Domain;

use App\Modules\LeadBookingTour\Domain\IdLeadBookingTour;
use App\Modules\LeadPassenger\Domain\IdLeadPassenger;

class LeadBookingTourPassenger
{

    /** constructor */
    public function __construct(
        private LeadBookingTourPassengerStatus $status,
        private IdLeadBookingTour $idLeadBookingTour,
        private IdLeadPassenger $idLeadPassenger,
        private ?IdLeadBookingTourPassenger $id = null
    ) {
    }
    public function getStatus(): LeadBookingTourPassengerStatus
    {
        return $this->status;
    }
    public function getIdLeadBookingTour(): IdLeadBookingTour
    {
        return $this->idLeadBookingTour;
    }
    public function getIdLeadPassenger(): IdLeadPassenger
    {
        return $this->idLeadPassenger;
    }
    public function getId(): IdLeadBookingTourPassenger
    {
        return $this->id;
    }
}
